// TermHireUtils.h
// v1.05
// version for R4 release of the BeOS, for both Intel and PowerPC platforms
// release date 26 November 1998
// contact : brua@caids.u-strasbg.fr
#include "TermHire.h"
#include <BeBuild.h>
#include <malloc.h>

// defines
#define TERMINAL_SIGNATURE     "application/x-vnd.be-shel"

// external variables
extern char **environ; // this is the global context of the shell

// function prototypes
void error(const char *message);
int LaunchTerminal(const int argc, const char **argv,const char *path);
char **my_putenv(char **orig, char *new_var);
long number_asked(entry_ref dir_ref, BMessage *msg);
#ifdef TERMINAL_SNIFFER
int get_app_from_sig(const char *app_signature, char *path);
#endif
bool valid_file(const char *path);
bool configure_argv(char **argv);